let bilgileri_gor_iter = [];
function bilgileri_gor_function(par) {
    konum=bilgileri_gor_iter.indexOf(par);
    switch (konum) {
        case -1:
            var x = document.getElementById(par);
            x.style.height = "30vh";
            x.style.transition = "1s";
            bilgileri_gor_iter.push(par);
            break;
        default:
            var x = document.getElementById(par);
            x.style.height = "13vh";
            x.style.transition = "1s";
            let ikinci_dizi=[];
            for(let i=0;i<bilgileri_gor_iter.length;i++){
            if( i != konum){
                    ikinci_dizi.push(bilgileri_gor_iter[i])
                }
            }
            bilgileri_gor_iter=ikinci_dizi 
            break;
    }
    
}
function element_sil_mainpage(par,secim){
        document.getElementById(par).remove();
        switch(secim){
            case 1:    window.alert(par+" ID sine sahip kullanıcı onaylandı");
            break;
            case 2:    window.alert(par+" ID sine sahip kullanıcı silindi");
            break;
        }
        if(document.getElementById('kullanici_div').childElementCount==0){
            let x=document.createElement("p");
            x.innerHTML="Onay Bekleyen Kişi Kalmamıştır";
            document.getElementById('kullanici_div').appendChild(x);
        }
}
function Todo_Onaylanmamis_Kullaniciler_Json(gelen_json){
   /* for(var i=0;i<gelen_json.length;i++){
        let genel_div=document.createElement('div');
        genel_div.className="kullanici_div";
        genel_div.id=gelen_json[i].id
        let ic_div=document.createElement('div');
        ic_div.className="ic_div";
        let isim_p=document.createElement('p');
        isim_p.innerHTML=gelen_json[i].name+" "+gelen_json[i].surname;
        isim_p.className="name_surname";
        let kontrol_button1=document.createElement('button')
        kontrol_button1.className="btn_kullanici btn-primary bilgileri_gor";
        kontrol_button1.innerHTML="Bilgileri Gör";
        kontrol_button1.addEventListener('click',bilgileri_gor_function(gelen_json[i].id))
        let kontrol_button2=document.createElement('button')
        kontrol_button2.className="btn_kullanici btn-success onayla_button";
        kontrol_button2.innerHTML="Onayla";
        let kontrol_button3=document.createElement('button')
        kontrol_button3.className="btn_kullanici btn-danger onay_iptal_button";
        console.log(gelen_json[i].id);
        ic_div.appendChild(kontrol_button1)
        ic_div.appendChild(kontrol_button2)
        ic_div.appendChild(kontrol_button3)
        genel_div.appendChild(ic_div);
        document.getElementById('1').appendChild(genel_div)  
    }
    */
}


/// burada par her bir divin ID sidir
